#
# spec file for package clpeak
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           clpeak
Version:        1.0+git.20170625
Release:        bp154.1.30
Summary:        Find peak OpenCL capacities like bandwidth & compute
License:        SUSE-Public-Domain
Group:          System/Benchmark
Url:            https://github.com/krrishnarraj/clpeak
Source:         %{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  opencl-headers
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(OpenCL)
BuildRequires:  pkgconfig(gl)

%description
A tool which profiles OpenCL devices to find their peak capacities like
bandwidth & compute.

%prep
%setup -q

%build
# Disable optimisation for current cpu
sed -i "s|-march=native||g" CMakeLists.txt
%cmake
%make_jobs

%install
install -D -p -m 0755 build/%{name} \
  %{buildroot}%{_bindir}/%{name}

%files
%defattr (-,root,root)
%doc README.md LICENSE STATUS results
%{_bindir}/%{name}

%changelog
* Thu Mar 22 2018 guillaume.gardet@opensuse.org
- Update to 1.0+git.20170625 to fix build on AArch64:
  * Remove march native flag
  * Always define OS_NAME even for unknown architectures
  * Add AMD_Ryzen_5_1600.log
* Tue May 30 2017 mpluskal@suse.com
- Update to version 1.0+git.20170525:
  * Add GTX 1080 Ti results
  * Remove non printable chars from log file
  * Add One Plus 3T results
  * Macbook pro results submitted by Harry Mallon
  * Rename Macbook_Pro_2013.log to Mac_Pro_Late_2013_.log
  * Not passing half as kernel argument
  * Fix uninitialized variable
  * Ignore ignored-attributes warning in g++, clang++
  * Enable support for FreeBSD.
* Sun Jan 22 2017 mpluskal@suse.com
- Update dependencies
* Sun Nov 13 2016 mpluskal@suse.com
- Update to version 1.0+git.20160805:
  * Add Galaxy S7 (Adreno 530) results
  * migrate to android studio
  * add missing x86 dummy folder
  * cosmetic ui layout changes
  * fix jumpdown list index
  * gpus only for snapdragon
  * update android.mk for new half-precision
  * add dummy folders for release
  * update android build files
- Change naming scheme
- Some small spec file cleanups
* Sat Jun 27 2015 mardnh@gmx.de
- Update to version 0.0.0.git1422696808.9a39c0c:
  + Update README.md
  + Handle mem alloc failures gracefully
  + Add results of Hawaii given by Schleimer Ben
* Thu Jan 15 2015 mardnh@gmx.de
- Update to version 0.0.0.git1419703962.3df45ca:
  + Mali T628 results shared by Sebastian Schaetz
  + Added compute unit, clock frequency and clock frequency units to XML file
  + CMakeLists: Remove -march=native options in case of cross compilation
  + src/common: Implement roundtoPowOf2 with binary logic
  + Add AMD A10-7850K and GeForce GTX 750
  + Add Celeron N2930 and Core i5-4570
  + Support clang in cmake Add armv8 in android jni
  + Preserve isComputeInt and isComputeDP across platforms
  + Add integer compute (GIOPS) to A10-7850K results
  + Add results from monster GTX 980 submitted by Gosuke yosita
  + Link statically to libopencl-stub
  + Add missing symbol in logger_android Fix bug in roundToPowOf2
- minor specfile cleanup
* Tue Oct  7 2014 mardnh@gmx.de
- initial package, version 0.0+git.1406390327.78b5cde:
  + 1. android logger interface. Renamed few files 2. Call stub reset api if required
  + Decrease work-group size to 128 for qualcomm platforms, with 256 kernel fails to launch
  + Update README.md
  + Update README with proper formatting
  + Build program per device. Otherwise qualcomm platform fails to compile for 2 devices at 1 shot!
  + Adding march native in cmake for linux. Required for x86 Adding results of Apple Iris Pro & other devices submitted by users
  + Fix win32 warning
  + Android GUI app initial commit
  + Avoid OsLib setenv. It is not implemented in 4.2.2 Create a jni function to call setenv
  + Remove trailing white-spaces Update README. Android app available
  + Nexus-5 & Moto-G results
